Sync all Windows User Computers
To send us data related to employee/contractor Windows computers, you send us WindowsUserComputer resources. This helps us determine important security properties, like whether devices have encrypted drives, have anti-virus installed or have password managers installed.
This call replaces ALL existing WindowsUserComputer resources for the given app and source_id - this is a “state of the world” sync. In other words, if a WindowsUserComputer resource is sent for a user in a previous sync_all call, but is not included in a later sync_all call for that customer, it is assumed to no longer exist and is deleted in Vanta.
** Headers **
Authorization: Bearer <access_token>
** Scopes **
connectors.self:write-resource
** Schema **
Expand the resources array below for the schema of WindowsUserComputer.
curl --request PUT \
--url https://api.vanta.com/v1/resources/windows_user_computer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceId": "<string>",
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"collectedTimestamp": "2023-11-07T05:31:56Z",
"osName": "<string>",
"osVersion": "<string>",
"hardwareUuid": "<string>",
"serialNumber": "<string>",
"programs": [
{
"name": "<string>",
"lastOpenedTimestamp": "2023-11-07T05:31:56Z"
}
],
"browserExtensions": [
{
"extensionId": "<string>",
"name": "<string>"
}
],
"drives": [
{
"name": "<string>",
"encrypted": true,
"isBootVolume": true
}
],
"users": [
{
"username": "<string>",
"screenlockPolicies": [
{
"requiresPassword": true,
"screenSleepTimeoutMs": 123
}
],
"screenlockSettings": {
"requiresPassword": true,
"screenSleepTimeoutMs": 123
},
"lastLoginTimestamp": "2023-11-07T05:31:56Z"
}
],
"systemScreenlockPolicies": [
{
"requiresPassword": true,
"screenSleepTimeoutMs": 123
}
],
"isManaged": true,
"autoUpdatesEnabled": true,
"owner": "<string>",
"lastEnrolledTimestamp": "2023-11-07T05:31:56Z",
"windowsSecurityProducts": [
{
"name": "<string>",
"stateTimestamp": "2023-11-07T05:31:56Z",
"signaturesUpToDate": true
}
]
}
]
}
'import requests
url = "https://api.vanta.com/v1/resources/windows_user_computer"
payload = {
"resourceId": "<string>",
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"collectedTimestamp": "2023-11-07T05:31:56Z",
"osName": "<string>",
"osVersion": "<string>",
"hardwareUuid": "<string>",
"serialNumber": "<string>",
"programs": [
{
"name": "<string>",
"lastOpenedTimestamp": "2023-11-07T05:31:56Z"
}
],
"browserExtensions": [
{
"extensionId": "<string>",
"name": "<string>"
}
],
"drives": [
{
"name": "<string>",
"encrypted": True,
"isBootVolume": True
}
],
"users": [
{
"username": "<string>",
"screenlockPolicies": [
{
"requiresPassword": True,
"screenSleepTimeoutMs": 123
}
],
"screenlockSettings": {
"requiresPassword": True,
"screenSleepTimeoutMs": 123
},
"lastLoginTimestamp": "2023-11-07T05:31:56Z"
}
],
"systemScreenlockPolicies": [
{
"requiresPassword": True,
"screenSleepTimeoutMs": 123
}
],
"isManaged": True,
"autoUpdatesEnabled": True,
"owner": "<string>",
"lastEnrolledTimestamp": "2023-11-07T05:31:56Z",
"windowsSecurityProducts": [
{
"name": "<string>",
"stateTimestamp": "2023-11-07T05:31:56Z",
"signaturesUpToDate": True
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceId: '<string>',
resources: [
{
displayName: '<string>',
uniqueId: '<string>',
externalUrl: '<string>',
collectedTimestamp: '2023-11-07T05:31:56Z',
osName: '<string>',
osVersion: '<string>',
hardwareUuid: '<string>',
serialNumber: '<string>',
programs: [{name: '<string>', lastOpenedTimestamp: '2023-11-07T05:31:56Z'}],
browserExtensions: [{extensionId: '<string>', name: '<string>'}],
drives: [{name: '<string>', encrypted: true, isBootVolume: true}],
users: [
{
username: '<string>',
screenlockPolicies: [{requiresPassword: true, screenSleepTimeoutMs: 123}],
screenlockSettings: {requiresPassword: true, screenSleepTimeoutMs: 123},
lastLoginTimestamp: '2023-11-07T05:31:56Z'
}
],
systemScreenlockPolicies: [{requiresPassword: true, screenSleepTimeoutMs: 123}],
isManaged: true,
autoUpdatesEnabled: true,
owner: '<string>',
lastEnrolledTimestamp: '2023-11-07T05:31:56Z',
windowsSecurityProducts: [
{
name: '<string>',
stateTimestamp: '2023-11-07T05:31:56Z',
signaturesUpToDate: true
}
]
}
]
})
};
fetch('https://api.vanta.com/v1/resources/windows_user_computer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
List of resources to sync
Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources
Show child attributes
Show child attributes
Response
The current resources synced.
Was this page helpful?
